<template>
  <v-tab-item>
    <v-list-item two-line v-for="(error, i) in errors" :key="'error'+i">
      <v-list-item-avatar>
        <v-icon>{{icon}}</v-icon>
      </v-list-item-avatar>
      <v-list-item-content>
        <v-list-item-title>{{error.message}}</v-list-item-title>
        <v-list-item-subtitle>{{new Date(error.timestamp).toLocaleTimeString()}}</v-list-item-subtitle>
      </v-list-item-content>
    </v-list-item>
  </v-tab-item>
</template>

<script>
export default {
  name: "ErrorTab",
  props: ["errorType", "icon"],
  computed: {
    errors() {
      let self = this;
      return this.$store.getters["coms/errors"].filter((value) => {
        return value.type == self.errorType;
      });
    },
  },
};
</script>